## vdr-plugin-osdserver 0.1.1a

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id$

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.
# IPORTANT: the presence of this macro is important for the Make.config
# file. So it must be defined, even if it is not used here!
#
PLUGIN = osdserver

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The C++ compiler and options:

CXX      ?= g++
CXXFLAGS ?= -fPIC -g -O2 -Wall -Woverloaded-virtual

### The directory environment:

VDRDIR = ../../..
LIBDIR = ../../lib
TMPDIR = /tmp

### Allow user defined options to overwrite defaults:

-include $(VDRDIR)/Make.config
-include Make.config

### The version number of VDR's plugin API (taken from VDR's "config.h"):

APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### Includes and Defines (add further entries here):

INCLUDES += -I$(VDRDIR)/include

DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"' -DPLUGINVERSION='"$(VERSION)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o server.o tools.o interpreter.o osdobjectsbase.o osdobjects.o connection.o

### Default

_default: all

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

# Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

all: libvdr-$(PLUGIN).so

libvdr-$(PLUGIN).so: $(OBJS)
	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz --exclude .svn --exclude CVS -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

## vdr-plugin-osdserver 0.1.2

=== debian/changelog ===
vdr-plugin-osdserver (0.1.2-8) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.20)
  * Standards-Version: 3.9.2

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Aug 2011 15:25:37 +0200

vdr-plugin-osdserver (0.1.2-7) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.18)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2011 20:06:27 +0200

vdr-plugin-osdserver (0.1.2-6) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.7.17
  * Updated debian/copyright
  * Standards-Version: 3.9.1
  * Switched to debhelper 7 and dropped cdbs

 -- Tobias Grimm <etobi@debian.org>  Fri, 08 Apr 2011 20:39:48 +0200

vdr-plugin-osdserver (0.1.2-5) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.6.0-16
  * Bumped standards version to 3.8.4
  * Minor debian/copyright update

 -- Tobias Grimm <etobi@debian.org>  Sun, 04 Apr 2010 14:56:01 +0200

vdr-plugin-osdserver (0.1.2-4) unstable; urgency=low

  * Removed non-standard shebang line from debian/rules (Closes: #552650)
  * Standards-Version: 3.8.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 08 Nov 2009 23:55:54 +0100

vdr-plugin-osdserver (0.1.2-3) unstable; urgency=low

  * Release for vdrdevel 1.7.6
  * Added ${misc:Depends}
  * Bumped standards version to 3.8.1
  * Updated debian/copyright
  * Changed section to "video"

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 29 Apr 2009 23:10:59 +0200

vdr-plugin-osdserver (0.1.2-2) unstable; urgency=low

  * Updated debian/watch

 -- Tobias Grimm <etobi@debian.org>  Sun, 30 Nov 2008 22:25:00 +0100

vdr-plugin-osdserver (0.1.2-1) unstable; urgency=low

  * New upstream release
  * Changed my maintainer/uploader email address

 -- Tobias Grimm <etobi@debian.org>  Sat, 15 Nov 2008 17:36:00 +0100

vdr-plugin-osdserver (0.1.1a-1) unstable; urgency=low

  [ Tobias Grimm ]
  * New upstream release
  * Dropped 01_vdr-1.5.15.dpatch - fixed upstream
  * Dropped patchlevel control field
  * Build-Depend on vdr-dev (>=1.6.0-5)
  * Bumped Standards-Version to 3.8.0

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 19 Jul 2008 18:03:58 +0200

vdr-plugin-osdserver (0.1.1-6) unstable; urgency=low

  * Upload to unstable

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 08 Jun 2008 23:45:09 +0200

vdr-plugin-osdserver (0.1.1-5) experimental; urgency=low

  * Increased package version to force rebuild for vdr 1.6.0-1ctvdr7

 -- Tobias Grimm <tg@e-tobi.net>  Mon, 12 May 2008 13:04:25 +0200

vdr-plugin-osdserver (0.1.1-4) experimental; urgency=low

  [ Thomas Schmidt ]
  * Build-Depend on vdr-dev (>=1.6.0)
  * Updated years in debian/copyright

 -- Tobias Grimm <tg@e-tobi.net>  Fri, 04 Apr 2008 13:23:12 +0200

vdr-plugin-osdserver (0.1.1-3) experimental; urgency=low

  * Added 01_vdr-1.5.15.dpatch

 -- Tobias Grimm <tg@e-tobi.net>  Tue, 19 Feb 2008 18:44:58 +0100

vdr-plugin-osdserver (0.1.1-2) experimental; urgency=low

  * Force update for new VDR release

 -- Tobias Grimm <tg@e-tobi.net>  Sat, 16 Feb 2008 22:21:25 +0100

vdr-plugin-osdserver (0.1.1-1) unstable; urgency=low

  * New upstream release
  * Switched Build-System to cdbs, Build-Depend on cdbs
  * Added Homepage field to debian/control
  * Renamed XS-Vcs-* fields to Vcs-* in debian/control
  * Bumped Standards-Version to 3.7.3

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 29 Dec 2007 19:05:10 +0100

vdr-plugin-osdserver (0.0.2-7) unstable; urgency=low

  * Release for vdrdevel 1.5.12

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 20 Nov 2007 23:46:23 +0100

vdr-plugin-osdserver (0.0.2-6) unstable; urgency=low

  * Added Copyright information for Debian packaging to debian/copyright

 -- Thomas Schmidt <tschmidt@debian.org>  Tue,  6 Nov 2007 23:34:24 +0100

vdr-plugin-osdserver (0.0.2-5) unstable; urgency=low

  * First upload to the official archive (Closes: #408663)
  * Updated debian/copyright
  * Changed Maintainer to the Debian VDR Team
  * Added Tobias Grimm, Thomas Günther and myself to Uploaders
  * Build-Depend on debhelper (>= 5), set COMPAT-Level to 5

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 07 Oct 2007 18:45:58 +0200

vdr-plugin-osdserver (0.0.2-4) unstable; urgency=low

  * Release for vdrdevel 1.5.9

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 28 Aug 2007 01:01:08 +0200

vdr-plugin-osdserver (0.0.2-3) unstable; urgency=low

  * Release for vdrdevel 1.5.8

 -- Thomas Günther <tom@toms-cafe.de>  Thu, 23 Aug 2007 01:09:04 +0200

vdr-plugin-osdserver (0.0.2-2) unstable; urgency=low

  * Release for vdrdevel 1.5.6

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 14 Aug 2007 01:46:17 +0200

vdr-plugin-osdserver (0.0.2-1) unstable; urgency=low

  * New upstream release

 -- Tobias Grimm <tg@e-tobi.net>  Sun, 29 Jul 2007 11:50:18 +0200

vdr-plugin-osdserver (0.0.1-4) unstable; urgency=low

  * Release for vdrdevel 1.5.5
  * Added XS-Vcs-Svn and XS-Vcs-Browser fields to debian/control

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 27 Jun 2007 23:02:39 +0200

vdr-plugin-osdserver (0.0.1-3) unstable; urgency=low

  * Release for vdrdevel 1.5.2

 -- Thomas Günther <tom@toms-cafe.de>  Sat, 28 Apr 2007 00:00:32 +0200

vdr-plugin-osdserver (0.0.1-2) unstable; urgency=low

  * Release for vdrdevel 1.5.1

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 27 Feb 2007 19:59:16 +0100

vdr-plugin-osdserver (0.0.1-1) unstable; urgency=low

  * Initial Release (closes #408663)

 -- Tobias Grimm <tg@e-tobi.net>  Sat, 27 Jan 2007 15:26:56 +0100

=== debian/control ===
Source: vdr-plugin-osdserver
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.20)
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-vdr-dvb/vdr/vdr-plugin-osdserver/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-osdserver/trunk/
Homepage: http://www.udo-richter.de/vdr/osdserver.en.html

Package: vdr-plugin-osdserver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: VDR plugin to provide other programs access to the OSD
 The OSDServer plugin allows external programs to access VDR's OSD.
 OSDServer listens for commands on port 2010 and is mainly intended
 to be used by shell and perl scripts.

## vdr-plugin-osdserver 0.1.3

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
 # By default the main source file also carries this name.
-# IPORTANT: the presence of this macro is important for the Make.config
+# IMPORTANT: the presence of this macro is important for the Make.config
 # file. So it must be defined, even if it is not used here!
 #
 PLUGIN = osdserver
@@ -18,13 +18,17 @@
 ### The C++ compiler and options:
 
 CXX      ?= g++
-CXXFLAGS ?= -fPIC -g -O2 -Wall -Woverloaded-virtual
+CXXFLAGS ?= -g -O3 -Wall -Woverloaded-virtual -Wno-parentheses
 
 ### The directory environment:
 
 VDRDIR = ../../..
 LIBDIR = ../../lib
 TMPDIR = /tmp
+
+### Make sure that necessary options are included:
+
+-include $(VDRDIR)/Make.global
 
 ### Allow user defined options to overwrite defaults:
 
@@ -59,7 +63,7 @@
 %.o: %.c
 	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
 
-# Dependencies:
+### Dependencies:
 
 MAKEDEP = $(CXX) -MM -MG
 DEPFILE = .dependencies
@@ -73,10 +77,10 @@
 all: libvdr-$(PLUGIN).so
 
 libvdr-$(PLUGIN).so: $(OBJS)
-	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
-dist: clean
+dist: $(I18Npo) clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@mkdir $(TMPDIR)/$(ARCHIVE)
 	@cp -a * $(TMPDIR)/$(ARCHIVE)
@@ -85,4 +89,4 @@
 	@echo Distribution package created as $(PACKAGE).tgz
 
 clean:
-	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~
+	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~ $(PODIR)/*.mo $(PODIR)/*.pot

=== debian/changelog ===
vdr-plugin-osdserver (0.1.3-22) unstable; urgency=medium

  * Build-depend on vdr 2.6.0 and update standards version to 4.6.0
  * Remove Thomas Günther and Thomas Schmidt from uploaders

 -- Tobias Grimm <etobi@debian.org>  Wed, 12 Jan 2022 20:55:58 +0100

vdr-plugin-osdserver (0.1.3-21) unstable; urgency=medium

  * Depend on debhelper-compat (= 13)
  * Build-Depend on vdr >= 2.4.7
  * Update debian/watch to version 4

 -- Tobias Grimm <etobi@debian.org>  Wed, 15 Dec 2021 23:45:51 +0100

vdr-plugin-osdserver (0.1.3-20) unstable; urgency=medium

  * Standards-Version: 4.4.1

 -- Tobias Grimm <etobi@debian.org>  Fri, 01 Nov 2019 14:29:31 +0100

vdr-plugin-osdserver (0.1.3-19) unstable; urgency=medium

  * Build-depend on vdr-dev >= 2.4.1

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Jul 2019 05:34:41 +0200

vdr-plugin-osdserver (0.1.3-18) unstable; urgency=medium

  * VCS moved to salsa.debian.org
  * Replaced priority extra with optional
  * Build-depend on vdr-dev (>= 2.4.0)
  * Standards-Version: 4.1.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 15 Apr 2018 19:36:01 +0200

vdr-plugin-osdserver (0.1.3-17) unstable; urgency=medium

  * Added workaround for STL clash with GCC 6 and vdr/tools.h (Closes: #811994)

 -- Tobias Grimm <etobi@debian.org>  Sat, 30 Jan 2016 15:19:52 +0100

vdr-plugin-osdserver (0.1.3-16) unstable; urgency=medium

  * Fixed installation of osdserver.conf

 -- Tobias Grimm <etobi@debian.org>  Sun, 06 Sep 2015 15:53:29 +0200

vdr-plugin-osdserver (0.1.3-15) unstable; urgency=medium

  * Now supporting the /etc/vdr/conf.d mechanism

 -- Tobias Grimm <etobi@debian.org>  Mon, 23 Mar 2015 23:03:37 +0100

vdr-plugin-osdserver (0.1.3-14) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.2.0)
  * Standards-Version: 3.9.6

 -- Tobias Grimm <etobi@debian.org>  Sun, 22 Feb 2015 12:04:36 +0100

vdr-plugin-osdserver (0.1.3-13) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.0.6)
  * Standards-Version: 3.9.5

 -- Tobias Grimm <etobi@debian.org>  Sun, 26 Oct 2014 14:19:48 +0100

vdr-plugin-osdserver (0.1.3-12) unstable; urgency=low

  * Build-depend on vdr-dev (>= 2.0.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 31 Mar 2013 14:00:12 +0200

vdr-plugin-osdserver (0.1.3-11) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.42)

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Mar 2013 20:48:18 +0100

vdr-plugin-osdserver (0.1.3-10) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.41)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Mar 2013 19:50:18 +0100

vdr-plugin-osdserver (0.1.3-9) unstable; urgency=low

  * Use debhelper 9
  * Build-depend on vdr-dev (>= 1.7.40)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Mar 2013 19:46:07 +0100

vdr-plugin-osdserver (0.1.3-7) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.28)

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Jun 2012 18:12:47 +0200

vdr-plugin-osdserver (0.1.3-6) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.27)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Apr 2012 23:03:17 +0200

vdr-plugin-osdserver (0.1.3-5) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.26)
  * Standards-Version: 3.9.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 25 Mar 2012 12:19:40 +0200

vdr-plugin-osdserver (0.1.3-4) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.23)

 -- Tobias Grimm <etobi@debian.org>  Sun, 29 Jan 2012 19:05:19 +0100

vdr-plugin-osdserver (0.1.3-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.22)

 -- Tobias Grimm <etobi@debian.org>  Sun, 11 Dec 2011 17:16:38 +0100

vdr-plugin-osdserver (0.1.3-2) unstable; urgency=low

  * Switched to GIT using pristine tar

 -- Tobias Grimm <etobi@debian.org>  Sat, 29 Oct 2011 20:10:56 +0200

vdr-plugin-osdserver (0.1.3-1) unstable; urgency=low

  * New upstream release
  * Build-depend on vdr-dev (>= 1.7.21)

 -- Tobias Grimm <etobi@debian.org>  Sun, 18 Sep 2011 18:23:52 +0200

=== debian/control ===
Source: vdr-plugin-osdserver
Section: video
Priority: optional
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Tobias Grimm <etobi@debian.org>
Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), pkg-config
Standards-Version: 4.6.0
Homepage: http://www.udo-richter.de/vdr/osdserver.en.html
Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-osdserver.git
Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-osdserver

Package: vdr-plugin-osdserver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: VDR plugin to provide other programs access to the OSD
 The OSDServer plugin allows external programs to access VDR's OSD.
 OSDServer listens for commands on port 2010 and is mainly intended
 to be used by shell and perl scripts.

=== debian/watch ===
version=4
http://www.udo-richter.de/vdr/osdserver.html files/vdr-osdserver-(.*)\.tgz
